﻿/*------------------------------
-- Cookie 메소드
------------------------------*/
function setCookie_day(name, value, expiredays) {
	var todayDate = new Date();
	todayDate.setDate(todayDate.getDate() + expiredays);
	document.cookie = name + '=' + escape(value) + '; path=/; expires=' + todayDate.toGMTString() + ';'
}

function setCookie(name, value) {
	document.cookie = name + '=' + escape(value) + '; path=/; '
}

function getCookie(name) {
	var nameOfCookie = name + "=";
	var x = 0;

	while (x <= document.cookie.length) {
		var y = (x + nameOfCookie.length);
		if (document.cookie.substring(x, y) == nameOfCookie) {
			if ((endOfCookie = document.cookie.indexOf(";", y)) == -1)
				endOfCookie = document.cookie.length;

			return unescape(document.cookie.substring(y, endOfCookie));
		}
		x = document.cookie.indexOf(" ", x) + 1;

		if (x == 0)
			break;
	}
	return "";
}

/*------------------------------
-- 시간 체크 메소드
------------------------------*/
var TimeCheckResult = { 'Smaller': 0, 'Same': 1, 'Bigger': 2 }

function TimeAdd(OriginTime, AddTime)
{
	var cutOriginTimeString = OriginTime.split(':');
	var cutAddTimeString = AddTime.split(':');

	return (parseInt(
		(parseInt(cutOriginTimeString[0]) + parseInt(cutAddTimeString[0])) +
		parseInt((parseInt(cutOriginTimeString[1]) + parseInt(cutAddTimeString[1])) / 60)
	) % 24) + ':' +
	(parseInt(
		(parseInt(cutOriginTimeString[1]) + parseInt(cutAddTimeString[1])) +
		parseInt((parseInt(cutOriginTimeString[2]) + parseInt(cutAddTimeString[2])) / 60)
	) % 60) + ':' +
	parseInt((parseInt(cutOriginTimeString[2]) + parseInt(cutAddTimeString[2])) % 60)
}

function TimeCompare(OriginTime, CompareTime)
{
	var cutOriginTimeString = OriginTime.split(':');
	var cutCompareTimeString = CompareTime.split(':');

	for (var i = 0; i < cutOriginTimeString.length; i++)
	{
		if (parseInt(cutOriginTimeString[i]) > parseInt(cutCompareTimeString[i]))
			return TimeCheckResult.Smaller;
		else if (parseInt(cutOriginTimeString[i]) < parseInt(cutCompareTimeString[i]))
			return TimeCheckResult.Bigger;
	}

	return TimeCheckResult.Same;
}

function TimeFilter(OriginTime, FilterFormat)
{
	var cutTimeString = OriginTime.split(':');
	if (FilterFormat == 'mm' ||
		FilterFormat == 'mm:ss')
		return '0:' + cutTimeString[1] + ':' + cutTimeString[2];
	else if (FilterFormat == 'ss')
		return '0:0:' + cutTimeString[2];

	return OriginTime;
}

function GetNowTimeString()
{
	var nowDate = new Date();

	return nowDate.getHours('h') + ':' +
		nowDate.getMinutes() + ':' + nowDate.getSeconds();
}

function GetTimeString(Time)
{
	if(Time[1] == 'hh')
		return Time[0] + ':0:0';
	else if(Time[1] == 'mm')
		return '0:' + Time[0] + ':0';
	else if(Time[1] == 'ss')
		return '0:0:' + Time[0];

	var cutTimeString = Time[0].split(':');

	if(Time[1] == 'hh:mm')
		return cutTimeString[0] + ':' + cutTimeString[1] + ':0';
	else if(Time[1] == 'hh:mm:ss')
		return cutTimeString[0] + ':' + cutTimeString[1] + ':' + cutTimeString[2];
	else if(Time[1] == 'mm:ss')
		return '0:' + cutTimeString[0] + ':' + cutTimeString[1];
	else
	{
		alert('GetTimeString() : this format does not exist');
		return '0:0:0';
	}
}

function TimeEventCheck(EventTime, EventFormat, IntervalTime, IntervalFormat)
{
	var BeforTimeString = GetTimeString([EventTime, EventFormat]);
	var IntervalTimeString = GetTimeString([IntervalTime, IntervalFormat]);

	if (EventFormat == 'hh:mm:ss' ||
		EventFormat == 'hh:mm' || EventFormat == 'hh')
	{
		if (TimeCompare('23:59:59', IntervalTimeString) == TimeCheckResult.Bigger)
			return true;
	}
	else if (EventFormat == 'mm:ss' || EventFormat == 'mm')
	{
		if (TimeCompare('00:59:59', IntervalTimeString) == TimeCheckResult.Bigger)
			return true;
	}
	else if (EventFormat == 'ss')
	{
		if (TimeCompare('00:00:59', IntervalTimeString) == TimeCheckResult.Bigger)
			return true;
	}
	else
	{
		alert('TimeEventCheck() : this format does not exist');
		return false
	}

	var AfterTimeString = TimeFilter(TimeAdd(BeforTimeString, IntervalTimeString), EventFormat);
	return TimeBetweenCheck(BeforTimeString, AfterTimeString);
}

function TimeBetweenCheck(BeforeTime, AfterTime)
{
	var CurrentTimeString = GetNowTimeString();

	var BeforeResult = TimeCompare(BeforeTime, CurrentTimeString);
	var AfterResult = TimeCompare(AfterTime, CurrentTimeString);
	var CompareResult = TimeCompare(BeforeTime, AfterTime);

	if (CompareResult == TimeCheckResult.Smaller) {
		if (BeforeResult != TimeCheckResult.Smaller ||
			AfterResult == TimeCheckResult.Smaller) {
			return true;
		}
	}
	else if (CompareResult == TimeCheckResult.Bigger) {
		if (BeforeResult != TimeCheckResult.Smaller &&
			AfterResult == TimeCheckResult.Smaller) {
			return true;
		}
	}

	return false
}

/*------------------------------
-- 단말 체크 메소드
------------------------------*/
function DeviceCheck() {
	var filter = "win16|win32|win64|mac";

	if (navigator.platform) {
		if (filter.indexOf(navigator.platform.toLowerCase()) < 0) {
			return 'Mobile'
		} else {
			return 'PC'
		}
	}
}

/*------------------------------
-- 단말 체크 메소드
------------------------------*/
function IECheck() {
	browser = navigator.userAgent.toLowerCase();

	if (browser.indexOf('firefox') > -1 ||
		browser.indexOf('chrome') > -1 ||
		browser.indexOf('opera') > -1 ||
		browser.indexOf('opr') > -1)
		return false;

	return true;
}